Delete Employee Education
ลบประวัติการศึกษาของพนักงาน
การลบข้อมูลไม่สามารถกู้คืนได้ กรุณาตรวจสอบให้แน่ใจก่อนดำเนินการ
Endpoint
POST /api/v1/open-apis/employee/delete-employee-profile?path_action=educationQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
path_action | string | Yes | ต้องเป็น education |
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
education_id | string | Yes | ID ของประวัติการศึกษาที่ต้องการลบ (Base64 encoded) |
พารามิเตอร์ education_id ต้องส่งเป็น Base64-encoded string
Response Format
Success Response
{
"code": 200,
"message": "Delete Education Success",
"payload": {
"education_id": "20260213ABC1234567890",
"deleted": true
}
}Error Response
{
"code": 400,
"message": "Validation failed",
"errors": ["Missing required parameter: 'education_id'"]
}Code Examples
cURL
curl -X POST "https://openapi.humansoft.co.th/api/v1/open-apis/employee/delete-employee-profile?path_action=education" \
-H "Content-Type: application/json" \
-H "Ocp-Apim-Subscription-Key: YOUR_API_KEY" \
-d '{
"education_id": "MjAyNjAyMTNBQkMxMjM0NQ=="
}'Related APIs
- List Educations - ดึงรายการประวัติการศึกษาทั้งหมด
- Get Education - ดึงข้อมูลประวัติการศึกษาตาม ID
- Add Education - เพิ่มประวัติการศึกษา
- Update Education - แก้ไขประวัติการศึกษา
Last updated on